Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.services
Class ClassPropertyAdapterImpl

    java.lang.Object
      org.apache.tapestry5.ioc.internal.services.ClassPropertyAdapterImpl

All Implemented Interfaces:
  ClassPropertyAdapter

    public class ClassPropertyAdapterImpl

extends java.lang.Object
implements ClassPropertyAdapter

Constructor Summary
`ClassPropertyAdapterImpl(java.lang.Class beanType, java.util.List<java.beans.PropertyDescriptor> descriptors)`

Method Summary
`java.lang.Object` | `get(java.lang.Object instance, java.lang.String propertyName)` Reads the value of a property.
`java.lang.Class` | `getBeanType()` Returns the type of bean this adapter provides properties for.
`PropertyAdapter` | `getPropertyAdapter(java.lang.String name)` Returns the property adapter with the given name, or null if no such adapter exists.
`java.util.List<java.lang.String>` | `getPropertyNames()` Returns the names of all properties, sorted into alphabetic order.
`void` | `set(java.lang.Object instance, java.lang.String propertyName, java.lang.Object value)` Updates the value of a property.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassPropertyAdapterImpl

    public ClassPropertyAdapterImpl(java.lang.Class beanType,
                                    java.util.List<java.beans.PropertyDescriptor> descriptors)

Method Detail

### getBeanType

    public java.lang.Class getBeanType()

  Description copied from interface: `ClassPropertyAdapter`
  Returns the type of bean this adapter provides properties for.

  Specified by:
    `getBeanType` in interface `ClassPropertyAdapter`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPropertyNames

    public java.util.List<java.lang.String> getPropertyNames()

  Description copied from interface: `ClassPropertyAdapter`
  Returns the names of all properties, sorted into alphabetic order. This includes true properties (as defined in the JavaBeans specification), but also public fields. Starting in Tapestry 5.3, even public static fields are included.

  Specified by:
    `getPropertyNames` in interface `ClassPropertyAdapter`

### getPropertyAdapter

    public PropertyAdapter getPropertyAdapter(java.lang.String name)

  Description copied from interface: `ClassPropertyAdapter`
  Returns the property adapter with the given name, or null if no such adapter exists.

  Specified by:
    `getPropertyAdapter` in interface `ClassPropertyAdapter`
  Parameters:
    `name` - of the property (case is ignored)

### get

    public java.lang.Object get(java.lang.Object instance,
                                java.lang.String propertyName)

  Description copied from interface: `ClassPropertyAdapter`
  Reads the value of a property.

  Specified by:
    `get` in interface `ClassPropertyAdapter`
  Parameters:
    `instance` - the object to read a value from
    `propertyName` - the name of the property to read (case is ignored)

### set

    public void set(java.lang.Object instance,
                    java.lang.String propertyName,
                    java.lang.Object value)

  Description copied from interface: `ClassPropertyAdapter`
  Updates the value of a property.

  Specified by:
    `set` in interface `ClassPropertyAdapter`
  Parameters:
    `instance` - the object to update
    `propertyName` - the name of the property to update (case is ignored)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.